Loading...
Searching...
No Matches
D3D12_SAMPLER_DESC Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

D3D12_FILTER | Filter
D3D12_TEXTURE_ADDRESS_MODE | AddressU
D3D12_TEXTURE_ADDRESS_MODE | AddressV
D3D12_TEXTURE_ADDRESS_MODE | AddressW
FLOAT | MipLODBias
UINT | MaxAnisotropy
D3D12_COMPARISON_FUNC | ComparisonFunc
FLOAT | BorderColor [4]
FLOAT | MinLOD
FLOAT | MaxLOD

## Detailed Description

Definition at line 2677 of file mini_d3d12.h.

## Member Data Documentation

## Filter

D3D12_FILTER D3D12_SAMPLER_DESC::Filter

Definition at line 2678 of file mini_d3d12.h.

## AddressU

D3D12_TEXTURE_ADDRESS_MODE D3D12_SAMPLER_DESC::AddressU

Definition at line 2679 of file mini_d3d12.h.

## AddressV

D3D12_TEXTURE_ADDRESS_MODE D3D12_SAMPLER_DESC::AddressV

Definition at line 2680 of file mini_d3d12.h.

## AddressW

D3D12_TEXTURE_ADDRESS_MODE D3D12_SAMPLER_DESC::AddressW

Definition at line 2681 of file mini_d3d12.h.

## MipLODBias

FLOAT D3D12_SAMPLER_DESC::MipLODBias

Definition at line 2682 of file mini_d3d12.h.

## MaxAnisotropy

UINT D3D12_SAMPLER_DESC::MaxAnisotropy

Definition at line 2683 of file mini_d3d12.h.

## ComparisonFunc

D3D12_COMPARISON_FUNC D3D12_SAMPLER_DESC::ComparisonFunc

Definition at line 2684 of file mini_d3d12.h.

## BorderColor

FLOAT D3D12_SAMPLER_DESC::BorderColor[4]

Definition at line 2685 of file mini_d3d12.h.

## MinLOD

FLOAT D3D12_SAMPLER_DESC::MinLOD

Definition at line 2686 of file mini_d3d12.h.

## MaxLOD

FLOAT D3D12_SAMPLER_DESC::MaxLOD

Definition at line 2687 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h